#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

# include "ppImage.h"

void ppImageCleanup (pmConfig *config, ppImageOptions *options)
{
    // Free memory used by ppImage
    psFree(options);
    psFree(config);

    // Free memory used by psModules
    pmConceptsDone();
    pmConfigDone();
    pmModelGroupCleanup();

    // Free memory used by psLib
    psLibFinalize();

    fprintf (stderr, "Found %d leaks at %s\n", psMemCheckLeaks (0, NULL, stderr, false), "ppImage");

    return;
}
